# Generated by Django 4.1.5 on 2023-02-01 20:55

from django.db import migrations


def create_data(apps, schema_editor):
    articles = apps.get_model('lublog', 'Article')
    articles(
        ar_title="Deer Could Be a Reservoir of Old Coronavirus Variants, Study Suggests",
        ar_img="articleimg/31virus-deer-tqjk-jumbo.webp",
        ar_short_description="Even after Delta became the dominant variant in humans, Alpha and Gamma continued to circulate in white-tailed deer, according to new research.",
        ar_full_description="Previous studies of deer have suggested humans have repeatedly introduced the coronavirus into white-tailed deer populations in the United States and Canada and that deer can spread the virus to one another. Scientists are not sure how people are passing the virus to deer, but they have speculated that it might happen when people feed deer or deer encounter human trash or waste.",
        ar_author='Emily Anthes'
    ).save()
    articles(
        ar_title="When Your Old Fishing Buddy Has a Snout and a Blowhole",
        ar_img="articleimg/30tb-fisher-dolphins-01-fjcq-jumbo.webp",
        ar_short_description="Bottlenose dolphins help Brazilian fishermen pull in their catch, and researchers have worked out what the marine mammals get from the cooperative hunting.",
        ar_full_description="Humans have worked with other species to find food for millenniums, including honeyguides in southeast Africa and Indigenous American accounts of hunting alongside wolves. And net-casting fishers working with dolphins isn’t unique to Brazil — the practice has also been observed in Mauritania, Myanmar and India, but the bottlenoses of Laguna are the most famous. The local population of about five dozen cooperative dolphins has been systematically monitored since 2007, said Fábio G. Daura-Jorge, a biologist at the Federal University of Santa Catarina in Brazil and an author of the paper. In 2017, the team began surveilling both the fish and dolphins with GPS, drones and sonar.",
        ar_author='Jason Bittel'
    ).save()
    articles(
        ar_title="Expert Panel Votes for Stricter Rules on Risky Virus Research",
        ar_img="articleimg/27biosecurity-jumbo.webp",
        ar_short_description="The White House will decide whether to adopt the panel’s recommendations on so-called gain of function experiments.",
        ar_full_description="An expert panel on Friday endorsed a sweeping set of proposed changes to the federal government’s program for regulating experiments that involve tinkering with risky viruses and other pathogens. The move sets the stage for a closely watched decision by the Biden administration about its approach to protecting against lab disasters that could kick off a pandemic.",
        ar_author='Benjamin Mueller'
    ).save()
    articles(
        ar_title="How Rare Island Bunnies Do a Parasitic Plant’s Bidding",
        ar_img="articleimg/00tb-nightbunnies1-superJumbo.webp",
        ar_short_description="The world’s only wild black-furred rabbit has a very important job — distributing seeds for a parasitic plant.",
        ar_full_description="In February 2020, an amateur naturalist named Yohei Tashiro was walking through the evergreen forests of the islands, situated about halfway between mainland Japan and Taiwan. On the ground, nestled against the roots of a tree, he noticed a cluster of strange, red globes — like strawberries crossed with red cap mushrooms. Even more interesting: Something clearly had been going to town on the ruby-red growths, the fruits of a weird little plant called Balanophora yuwanensis.",
        ar_author='Carl Zimmer'
    ).save()
    articles(
        ar_title="Earth’s Inner Core: A Shifting, Spinning Mystery’s Latest Twist",
        ar_img="articleimg/23tb-core-superJumbo.webp",
        ar_short_description="Researchers proposed a model with a 70-year rotation cycle of our planet’s iron heart, and report that we’re in the middle of one of its big shifts.",
        ar_full_description="What’s going on? One idea is that two titanic forces are battling for control over the world’s heart. Earth’s magnetic field, generated by swirling iron currents in the liquid outer core, is pulling at the inner core, causing it to spin. That impulse is countered by the mantle, the mucilaginous layer above the outer core and below Earth’s crust, the immense gravitational field of which grasps the inner core and slows its spin.",
        ar_author='Robin George Andrews'
    ).save()


class Migration(migrations.Migration):

    dependencies = [
        ('lublog', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(create_data),
    ]
